## Worked Solutions to Wordplay Coding Challenges

This repo contains worked solutions to the problems in the Wordplay section of
the Community Data Science Workshops at the University of Washington. More
details on the CDSW are available at:

http://wiki.communitydata.cc/CDSW

### Challenges about finding words:

1. Find all words that start with 'a' and are 9 or more letters long.

2. What is the longest word that starts with a 'q'?

3. Find all words that end with 'nge'

4. You need a word to match the phrase "a\*\*e\*y".  Are there any words that
   match?

5. Print *every other* word that matches the condition in (1) above.

6. Find the longest string where no character is used > 1 time.

### Incorporate Points

Now we're going to start finding points! You can use scrabble.scores to get the
scores for every letter.  But we're going to cheat: assume you have all the
letters.

7. What is the most valuable word in the dictionary, and how much is it worth?

8. You want to match a word that starts with an 'a', has an 'e' in the 4th
   slot, and is no more than 7 characters long. What is the best word you can
   play?

9. Make a list that shows the most valuable word that starts with each letter.
   For example:

<pre>a: apophthegmatize, 37
c: chiquichiquis, 41
b: bezzazzes, 47
e: embezzlements, 37
d: decitizenizing, 36
.....</pre>


### Wordplay Project Ideas

The [Wordplay wiki page](http://wiki.communitydata.cc/Wordplay) also include
several ideas for projects. These are listed as idea\_1.py, etc. in the
directory:

1. Find and print the words that start with "ee".
2. Find and print the words that end in "mt". How about "gry"?
3. Find and print the longest word that has no vowels.
4. Find an print the words that contain 4 or more 'l's.
5. Find and print the words that have all 5 vowels in alphabetical order.
